from app.extensions import jwt_redis_blocklist

from . import jwt_manager

from app import app


@jwt_manager.token_in_blocklist_loader
def check_if_token_is_revoked(jwt_header, jwt_payload: dict) -> bool:
    jti = jwt_payload["jti"]
    token_in_redis = jwt_redis_blocklist.get(jti)

    return token_in_redis is not None
